Version 20210516_Linux startet nicht

by Micha ⌂, Bad Vilbel, Thursday, May 20, 2021, 12:04 (25 days ago) @ Heinz-Theo Brinkmann

Hallo Theo,

ich habe bisher auf meinem Ubuntu-Rechner (Version 18.04 mit openjdK 11.0.11 als "neueste" offizielle Java-Version für 18.04) Jag3D in der Version JAG3Dv20201110_Linux genutzt. Ich wollte jetzt auf die Version JAG3Dv20210516_Linux upgraden, allerdings startet Jag3D nicht.

Ich kann dies nicht bestätigen. Nachfolgender Screenshot zeigt, dass die von Dir genannte Version unter Ubuntu läuft (wobei ich eine neue Version von Ubuntu und eine aktuellere JRE installiert habe).

Hast Du einen Tip für mich?

Ich gehe davon aus, dass Deine Java Version derzeit nicht mehr ausreicht. Du erinnerst Dich vielleicht noch an Deinen Vorschlag, in JAG3D SQL-Datei direkt auszuführen. Um diesen Umzusetzen, musste ich eine eigene HSQLDB und SQLTools-Version kompilieren. Ich hatte gleichzeitig auch beim Entwickler nachgefragt, ob/wann diese eine offizielle Version bereitstellen. Inzwischen gibt es eine neue HSQLDB/SQLTool-Version, die jedoch mindestens Java 11 erfordert (zuvor war es Java 8). Diese habe ich nun integriert und gleichzeitig habe ich mein bisheriges compliance Level nun aufgegeben von Java 9.

Kannst Du mal prüfen, ob diese Version bei Dir geht: JAG3Dv20210520_Linux.zip?

[image]

Viele Grüße
Micha

--
applied-geodesy.org - OpenSource Least-Squares Adjustment Software for Geodetic Sciences

Tags:
JAG3D, HSQLDB, Java, v20210516, Ubuntu, Linux, JRE


Complete thread:

 RSS Feed of thread